VisualEditor: "Use an existing reference" in the reference dialog button should be disabled once user enters content in the text field and re-enabled upon deleting it
Closed, ResolvedPublic

Description

Steps to reproduce:

1.Open a page with VE
2.Go to Insert>Reference
3.Type something in the text box
4.Click on "Insert Reference"
5.Again re-open that reference
6.Delete the content inside the text field

Observed Result:
issue 1: The "Use an existing reference" button remains enabled when user has entered something in the textbox (step 3), it should be disabled as soon as user enters types something in the field.

issue 2:After clicking on "insert reference" , when user reopens that reference, there is no "Use an existing reference" button in the reference dialog box (step5), the button should appear there but as "Disabled"

Once user deletes the content inside the text field (step 6), the button should again re-anabled.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz65689.
Ryasmeen created this task.Via LegacyMay 23 2014, 6:06 PM
Catrope added a comment.Via ConduitMay 28 2014, 6:53 PM

James says it should disable when the surface is not empty and re-enable when empty, and also appear for existing references.

gerritbot added a comment.Via ConduitMay 30 2014, 8:07 PM

Change 136443 had a related patch set uploaded by Alex Monk:
"Use an existing reference" in the reference dialog should be disabled when there is content

https://gerrit.wikimedia.org/r/136443

gerritbot added a comment.Via ConduitMay 30 2014, 10:26 PM

Change 136443 merged by jenkins-bot:
"Use an existing reference" in the reference dialog should be disabled when there is content

https://gerrit.wikimedia.org/r/136443

Ryasmeen added a comment.Via ConduitMay 31 2014, 1:22 AM

The issue 2 stated above in the bug report is still there:

When I reopen an already added reference , there should be "Use an existing reference" button in that dialog but disabled , right now the button is not there at all.

When I will delete the content of that already added reference, it should re-enable that button.

Krenair added a comment.Via ConduitMay 31 2014, 6:59 PM

(In reply to ryasmeen from comment #4)

When I will delete the content of that already added reference, it should
re-enable that button.

This bit is being dealt with already in Gerrit change 136505

gerritbot added a comment.Via ConduitMay 31 2014, 7:24 PM

Change 136599 had a related patch set uploaded by Alex Monk:
Allow swapping of existing references for others.

https://gerrit.wikimedia.org/r/136599

gerritbot added a comment.Via ConduitJun 7 2014, 12:55 AM

Change 136599 merged by jenkins-bot:
MWReferenceDialog: Allow swapping of existing references for others

https://gerrit.wikimedia.org/r/136599

Ryasmeen added a comment.Via ConduitJun 9 2014, 9:07 PM

Verified the fix in Betalabs

Ryasmeen added a comment.Via ConduitJun 14 2014, 12:18 AM

Verified the fix in test2 running wmf 9

Ryasmeen added a comment.Via ConduitJun 20 2014, 9:32 PM

Verified the fix in production(en.wiki)

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.